function SaveCoronaData(country, CRD, data, addtext)
% for saving Johns Hopkins data after a change
% country = the country name as in getCoronaCountryList, not the JH filename 
% CRD = either 'C', 'R', 'D'
% data = the data vector
% addtext = an additional text, may be ''
% Translation table from CountryList names to Johns Hopkins filenames
% like in GetCoronaCountryList
country=TransformCountryName(country);
%
switch lower(CRD)
    case 'c'
        savestring = ['countries/', country, 'Confirmed',addtext,'.dat'];
    case 'd'
        savestring = ['countries/', country, 'Deaths',addtext,'.dat'];
    case 'r'
        savestring = ['countries/', country, 'Recovered',addtext,'.dat'];     
end
disp(sprintf('SaveCoronaData for %s saved in %s',country, savestring));
save(savestring,'data','-ascii')
