function [giCR, giCD]=getDRRatesFromJohnsHopkins(C, R, D)
%
% calculate the sequences gamma_{iCR}, gamma_{iCD} 
% fo0r instantaneous rates from C, R, D
% like in the paper. They come in the same length.
% Smoothing must be done outside.
%
% When division by zero occurs, values
% are set to zero. 
%
% get Infectious
I=C-R-D;
len=length(C);
% allocate and calculate differences
dR=zeros(len,1);
dR(2:len)=R(2:len)-R(1:len-1);
dD=zeros(len,1);
dD(2:len)=D(2:len)-D(1:len-1);
dI=zeros(len,1);
dI(2:len)=I(2:len)-I(1:len-1);
% Note that differences always start with zeros
% We avoid division by zeros later
%
% allocate full output vectors
giCD=zeros(len,1);
giCR=zeros(len,1);
%
tI=find(I>0); % avoid division by zero
% formulas as in the paper:
giCR(tI)=dR(tI)./I(tI);
giCD(tI)=dD(tI)./I(tI);
% figure
% plot(tI,giCR(tI))
% title('giCR series')
% figure
% plot(tI,giCD(tI))
% title('giCD series')
